#knapsack-relax.mod

param Nitem;
param weight{i in 1..Nitem};
param value{i in 1..Nitem};
param l{i in 1..Nitem};
param u{i in 1..Nitem};
param capacity;

var x{i in 1..Nitem} >=0;

maximize Profit: sum{i in 1..Nitem}value[i]*x[i];

subject to Capacity_Constraint:  sum{i in 1..Nitem}weight[i]*x[i] <= capacity;
subject to Upper_Lower_Bound {i in 1..Nitem}:  l[i] <= x[i] <=u[i];